Skip to main content
`Ctrl`+`K`

# DMStagGetLocalSizes

get local elementwise sizes

## Synopsis

    PetscErrorCode DMStagGetLocalSizes(DM dm, PetscInt *m, PetscInt *n, PetscInt *p)

Not Collective

## Input Parameter

- dm - the `DMSTAG` object

## Output Parameters

- m - local element counts (excluding ghosts) in the x direction

- n - local element counts (excluding ghosts) in the y direction

- p - local element counts (excluding ghosts) in the z direction

## Note

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids. These arguments may be set to `NULL` in this case.

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagGetGlobalSizes()`, `DMStagGetDOF()`, `DMStagGetNumRanks()`, `DMDAGetLocalInfo()`

## Level

beginner

## Location

src/dm/impls/stag/stagutils.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages